# $Revision: 1.13 $, $Date: 2008/07/27 22:39:50 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Lingua
%define		pnam	Stem-Snowball-Da
Summary:	Lingua::Stem::Snowball::Da - Porter's stemming algorithm for Danish
Summary(pl.UTF-8):	Lingua::Stem::Snowball::Da - algorytm Portera określający rdzenie słów dla języka duńskiego
Name:		perl-Lingua-Stem-Snowball-Da
Version:	1.01
Release:	4
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e8d9a8285bce0c9e4bedc138cd6a1501
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The stem function takes a scalar as a parameter and stems the word
according to Martin Porter's Danish stemming algorithm, which can be
found at the Snowball website: http://snowball.tartarus.org/.

%description -l pl.UTF-8
Funkcja określająca rdzenie słów pobiera skalarny parametr i korzysta
z algorytmu dla języka duńskiego autorstwa Martina Portera. Algorytm
ten można znaleźć na stronie Snowballa: http://snowball.tartarus.org/.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install stemmer.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/%{pdir}/Stem/Snowball/*.pm
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Lingua-Stem-Snowball-Da.spec,v $
Revision 1.13  2008/07/27 22:39:50  arekm
- release 4

Revision 1.12  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.10  2004/11/03 22:30:30  paladine
- formatting

Revision 1.9  2004/05/09 05:31:53  ankry
- BR fixes, rel. 3

Revision 1.8  2004/04/25 06:25:08  ankry
- cosmetics: unification

Revision 1.7  2004/04/22 15:01:17  ankry
- license fixes and unification

Revision 1.6  2004/04/20 23:59:32  ankry
- ported to new bconds

Revision 1.5  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.4  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:24:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/14 23:52:48  ankry
- should be ready for perl-5.8
- rel. 2

Revision 1.1  2003/04/13 19:57:30  ankry
- new, for ra
